ranger-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Csaba Koncz (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (RANGER-2321) Docker build fails due to PhantomJS dependency
Date Fri, 11 Jan 2019 10:03:00 GMT

    [ https://issues.apache.org/jira/browse/RANGER-2321?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16740238#comment-16740238
] 

Csaba Koncz commented on RANGER-2321:
-------------------------------------

The attached patch builds on RANGER-2319, which has not been merged yet.

It implements two changes:
 # build_ranger_using_docker.sh adds bzip2 and fontconfig to the image being built, so the
build succeeds with the new image.
 # JavaScript test execution can be switched of by passing -DskipJSTests to Maven. This can
be used when building outside Docker 

> Docker build fails due to PhantomJS dependency
> ----------------------------------------------
>
>                 Key: RANGER-2321
>                 URL: https://issues.apache.org/jira/browse/RANGER-2321
>             Project: Ranger
>          Issue Type: Bug
>          Components: admin
>    Affects Versions: 2.0.0
>            Reporter: Csaba Koncz
>            Assignee: Csaba Koncz
>            Priority: Major
>         Attachments: 0001-RANGER-2321-Docker-build-fails-due-to-PhantomJS-depe.patch
>
>
> Docker build fails in an early phase do to the PhantomJS dependency introduced in RANGER-2255.
E.g. running
> {code:java}
> ./build_ranger_using_docker.sh mvn clean verify -am -pl security-admin{code}
> results in
> {code:java}
> [INFO] ----------------< org.apache.ranger:security-admin-web >----------------
> [INFO] Building Security Admin Web Application 2.0.0-SNAPSHOT [7/7]
> [INFO] --------------------------------[ war ]---------------------------------
> [INFO]
> [INFO] --- maven-clean-plugin:2.6.1:clean (default-clean) @ security-admin-web ---
> [INFO]
> [INFO] --- maven-enforcer-plugin:1.4.1:enforce (enforce-maven-version) @ security-admin-web
---
> [INFO]
> [INFO] --- maven-enforcer-plugin:1.4.1:enforce (enforce-versions) @ security-admin-web
---
> [INFO]
> [INFO] --- maven-resources-plugin:2.7:copy-resources (copy-resources) @ security-admin-web
---
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 2 resources
> [INFO]
> [INFO] --- maven-remote-resources-plugin:1.5:process (process-resource-bundles) @ security-admin-web
---
> [INFO]
> [INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ security-admin-web
---
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 22 resources
> [INFO] Copying 3 resources
> [INFO]
> [INFO] --- maven-antrun-plugin:1.7:run (default) @ security-admin-web ---
> [INFO] Executing tasks
> main:
> [INFO] Executed tasks
> [INFO]
> [INFO] --- frontend-maven-plugin:1.6:install-node-and-npm (install node and npm) @ security-admin-web
---
> [INFO] Installing node version v8.12.0
> [INFO] Unpacking /home/builder/.m2/repository/com/github/eirslett/node/8.12.0/node-8.12.0-linux-x64.tar.gz
into /ranger/security-admin/target/node/tmp
> [INFO] Copying node binary from /ranger/security-admin/target/node/tmp/node-v8.12.0-linux-x64/bin/node
to /ranger/security-admin/target/node/node
> [INFO] Installed node locally.
> [INFO] Installing npm version 6.4.1
> [INFO] Unpacking /home/builder/.m2/repository/com/github/eirslett/npm/6.4.1/npm-6.4.1.tar.gz
into /ranger/security-admin/target/node/node_modules
> [INFO] Installed npm locally.
> [INFO]
> [INFO] --- frontend-maven-plugin:1.6:npm (npm install) @ security-admin-web ---
> [INFO] Running 'npm install' in /ranger/security-admin/target
> [INFO]
> [INFO] > phantomjs-prebuilt@2.1.16 install /ranger/security-admin/target/node_modules/karma-phantomjs-launcher/node_modules/phantomjs-prebuilt
> [INFO] > node install.js
> [INFO]
> [INFO] PhantomJS not found on PATH
> [INFO] Downloading https://github.com/Medium/phantomjs/releases/download/v2.1.1/phantomjs-2.1.1-linux-x86_64.tar.bz2
> [INFO] Saving to /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2
> [INFO] Receiving...
> [INFO]
> [INFO] Received 22866K total.
> [INFO] Extracting tar contents (via spawned process)
> [ERROR] Error extracting archive
> [ERROR] Phantom installation failed { Error: Command failed: tar jxf /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2
> [ERROR] tar (child): bzip2: Cannot exec: No such file or directory
> [ERROR] tar (child): Error is not recoverable: exiting now
> [ERROR] tar: Child returned status 2
> [ERROR] tar: Error is not recoverable: exiting now
> [ERROR]
> [ERROR] at ChildProcess.exithandler (child_process.js:276:12)
> [ERROR] at emitTwo (events.js:126:13)
> [ERROR] at ChildProcess.emit (events.js:214:7)
> [ERROR] at maybeClose (internal/child_process.js:915:16)
> [ERROR] at Socket.stream.socket.on (internal/child_process.js:336:11)
> [ERROR] at emitOne (events.js:116:13)
> [ERROR] at Socket.emit (events.js:211:7)
> [ERROR] at Pipe._handle.close [as _onclose] (net.js:561:12)
> [ERROR] killed: false,
> [ERROR] code: 2,
> [ERROR] signal: null,
> [ERROR] cmd: 'tar jxf /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2' } Error: Command
failed: tar jxf /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2
> [ERROR] tar (child): bzip2: Cannot exec: No such file or directory
> [ERROR] tar (child): Error is not recoverable: exiting now
> [ERROR] tar: Child returned status 2
> [ERROR] tar: Error is not recoverable: exiting now
> [ERROR]
> [ERROR] at ChildProcess.exithandler (child_process.js:276:12)
> [ERROR] at emitTwo (events.js:126:13)
> [ERROR] at ChildProcess.emit (events.js:214:7)
> [ERROR] at maybeClose (internal/child_process.js:915:16)
> [ERROR] at Socket.stream.socket.on (internal/child_process.js:336:11)
> [ERROR] at emitOne (events.js:116:13)
> [ERROR] at Socket.emit (events.js:211:7)
> [ERROR] at Pipe._handle.close [as _onclose] (net.js:561:12)
> [WARNING] npm WARN security-admin@2.0.0 No description
> [WARNING] npm WARN security-admin@2.0.0 No repository field.
> [WARNING] npm WARN security-admin@2.0.0 No license field.
> [WARNING] npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules/fsevents):
> [WARNING] npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4:
wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
> [ERROR]
> [ERROR] npm ERR! code ELIFECYCLE
> [ERROR] npm ERR! errno 1
> [ERROR] npm ERR! phantomjs-prebuilt@2.1.16 install: `node install.js`
> [ERROR] npm ERR! Exit status 1
> [ERROR] npm ERR!
> [ERROR] npm ERR! Failed at the phantomjs-prebuilt@2.1.16 install script.
> [ERROR] npm ERR! This is probably not a problem with npm. There is likely additional
logging output above.
> [ERROR]
> [ERROR] npm ERR! A complete log of this run can be found in:
> [ERROR] npm ERR! /home/builder/.npm/_logs/2019-01-10T08_57_48_074Z-debug.log
> [INFO] ------------------------------------------------------------------------
> [INFO] Reactor Summary:
> [INFO]
> [INFO] ranger 2.0.0-SNAPSHOT .............................. SUCCESS [ 40.445 s]
> [INFO] Credential Support ................................. SUCCESS [ 27.165 s]
> [INFO] Audit Component .................................... SUCCESS [ 24.822 s]
> [INFO] Common library for Plugins ......................... SUCCESS [ 47.906 s]
> [INFO] Ranger Util ........................................ SUCCESS [ 20.694 s]
> [INFO] Unix Authentication Client ......................... SUCCESS [ 6.878 s]
> [INFO] Security Admin Web Application 2.0.0-SNAPSHOT ...... FAILURE [02:46 min]
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 05:37 min
> [INFO] Finished at: 2019-01-10T08:57:48Z
> [INFO] ------------------------------------------------------------------------{code}
>  
> On Linux PhantomJS requires bzip2 and fontconfig packages. 



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message